<?php

namespace TelegramApi\Types;

class ChatAdministratorRights implements TypeInterface
{
	/** @var bool True, if the user's presence in the chat is hidden */
	public bool $isAnonymous;

	/** @var bool True, if the administrator can access the chat event log, boost list in channels, see channel members, report spam messages, see anonymous administrators in supergroups and ignore slow mode. Implied by any other administrator privilege */
	public bool $canManageChat;

	/** @var bool True, if the administrator can delete messages of other users */
	public bool $canDeleteMessages;

	/** @var bool True, if the administrator can manage video chats */
	public bool $canManageVideoChats;

	/** @var bool True, if the administrator can restrict, ban or unban chat members, or access supergroup statistics */
	public bool $canRestrictMembers;

	/** @var bool True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that they have promoted, directly or indirectly (promoted by administrators that were appointed by the user) */
	public bool $canPromoteMembers;

	/** @var bool True, if the user is allowed to change the chat title, photo and other settings */
	public bool $canChangeInfo;

	/** @var bool True, if the user is allowed to invite new users to the chat */
	public bool $canInviteUsers;

	/** @var bool|null Optional. True, if the administrator can post messages in the channel, or access channel statistics; channels only */
	public ?bool $canPostMessages = null;

	/** @var bool|null Optional. True, if the administrator can edit messages of other users and can pin messages; channels only */
	public ?bool $canEditMessages = null;

	/** @var bool|null Optional. True, if the user is allowed to pin messages; groups and supergroups only */
	public ?bool $canPinMessages = null;

	/** @var bool|null Optional. True, if the administrator can post stories in the channel; channels only */
	public ?bool $canPostStories = null;

	/** @var bool|null Optional. True, if the administrator can edit stories posted by other users; channels only */
	public ?bool $canEditStories = null;

	/** @var bool|null Optional. True, if the administrator can delete stories posted by other users; channels only */
	public ?bool $canDeleteStories = null;

	/** @var bool|null Optional. True, if the user is allowed to create, rename, close, and reopen forum topics; supergroups only */
	public ?bool $canManageTopics = null;
}
