<?php

namespace TelegramApi\Types;

class InputSticker implements TypeInterface
{
	/** @var InputFile|string The added sticker. Pass a file_id as a String to send a file that already exists on the Telegram servers, pass an HTTP URL as a String for Telegram to get a file from the Internet, upload a new one using multipart/form-data, or pass “attach://<file_attach_name>” to upload a new one using multipart/form-data under <file_attach_name> name. Animated and video stickers can't be uploaded via HTTP URL. More information on Sending Files » */
	public InputFile|string $sticker;

	/** @var Array<string> List of 1-20 emoji associated with the sticker */
	public array $emojiList;

	/** @var MaskPosition|null Optional. Position where the mask should be placed on faces. For “mask” stickers only. */
	public ?MaskPosition $maskPosition = null;

	/** @var Array<string>|null Optional. List of 0-20 search keywords for the sticker with total length of up to 64 characters. For “regular” and “custom_emoji” stickers only. */
	public ?array $keywords = null;
}
