<?php

namespace TelegramApi\Types;

class KeyboardButtonRequestChat implements TypeInterface
{
	/** @var int Signed 32-bit identifier of the request, which will be received back in the ChatShared object. Must be unique within the message */
	public int $requestId;

	/** @var bool Pass True to request a channel chat, pass False to request a group or a supergroup chat. */
	public bool $chatIsChannel;

	/** @var bool|null Optional. Pass True to request a forum supergroup, pass False to request a non-forum chat. If not specified, no additional restrictions are applied. */
	public ?bool $chatIsForum = null;

	/** @var bool|null Optional. Pass True to request a supergroup or a channel with a username, pass False to request a chat without a username. If not specified, no additional restrictions are applied. */
	public ?bool $chatHasUsername = null;

	/** @var bool|null Optional. Pass True to request a chat owned by the user. Otherwise, no additional restrictions are applied. */
	public ?bool $chatIsCreated = null;

	/** @var ChatAdministratorRights|null Optional. A JSON-serialized object listing the required administrator rights of the user in the chat. The rights must be a superset of bot_administrator_rights. If not specified, no additional restrictions are applied. */
	public ?ChatAdministratorRights $userAdministratorRights = null;

	/** @var ChatAdministratorRights|null Optional. A JSON-serialized object listing the required administrator rights of the bot in the chat. The rights must be a subset of user_administrator_rights. If not specified, no additional restrictions are applied. */
	public ?ChatAdministratorRights $botAdministratorRights = null;

	/** @var bool|null Optional. Pass True to request a chat with the bot as a member. Otherwise, no additional restrictions are applied. */
	public ?bool $botIsMember = null;
}
