<?php

namespace TelegramApi\Types;

class KeyboardButtonRequestUsers implements TypeInterface
{
	/** @var int Signed 32-bit identifier of the request that will be received back in the UsersShared object. Must be unique within the message */
	public int $requestId;

	/** @var bool|null Optional. Pass True to request bots, pass False to request regular users. If not specified, no additional restrictions are applied. */
	public ?bool $userIsBot = null;

	/** @var bool|null Optional. Pass True to request premium users, pass False to request non-premium users. If not specified, no additional restrictions are applied. */
	public ?bool $userIsPremium = null;

	/** @var int|null Optional. The maximum number of users to be selected; 1-10. Defaults to 1. */
	public ?int $maxQuantity = 1;
}
