<?php

namespace TelegramApi\Types;

class LinkPreviewOptions implements TypeInterface
{
	/** @var bool|null Optional. True, if the link preview is disabled */
	public ?bool $isDisabled = null;

	/** @var string|null Optional. URL to use for the link preview. If empty, then the first URL found in the message text will be used */
	public ?string $url = null;

	/** @var bool|null Optional. True, if the media in the link preview is suppposed to be shrunk; ignored if the URL isn't explicitly specified or media size change isn't supported for the preview */
	public ?bool $preferSmallMedia = null;

	/** @var bool|null Optional. True, if the media in the link preview is suppposed to be enlarged; ignored if the URL isn't explicitly specified or media size change isn't supported for the preview */
	public ?bool $preferLargeMedia = null;

	/** @var bool|null Optional. True, if the link preview must be shown above the message text; otherwise, the link preview will be shown below the message text */
	public ?bool $showAboveText = null;
}
