<?php

namespace TelegramApi\Types;

class SwitchInlineQueryChosenChat implements TypeInterface
{
	/** @var string|null Optional. The default inline query to be inserted in the input field. If left empty, only the bot's username will be inserted */
	public ?string $query = null;

	/** @var bool|null Optional. True, if private chats with users can be chosen */
	public ?bool $allowUserChats = null;

	/** @var bool|null Optional. True, if private chats with bots can be chosen */
	public ?bool $allowBotChats = null;

	/** @var bool|null Optional. True, if group and supergroup chats can be chosen */
	public ?bool $allowGroupChats = null;

	/** @var bool|null Optional. True, if channel chats can be chosen */
	public ?bool $allowChannelChats = null;
}
