<?php

namespace TelegramApi\Types;

class WriteAccessAllowed implements TypeInterface
{
	/** @var bool|null Optional. True, if the access was granted after the user accepted an explicit request from a Web App sent by the method requestWriteAccess */
	public ?bool $fromRequest = null;

	/** @var string|null Optional. Name of the Web App, if the access was granted when the Web App was launched from a link */
	public ?string $webAppName = null;

	/** @var bool|null Optional. True, if the access was granted when the bot was added to the attachment or side menu */
	public ?bool $fromAttachmentMenu = null;
}
